package com.nokia.finance.tasks.pojo.po.car_report;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDate;

@NoArgsConstructor
@Data
public class CarRyycPo {
    /**
     * 账期
     */
    private Integer yearMonth;
    /**
     * 车牌号
     */
    private String chePaiHao;
    /**
     * 一级
     */
    private String firstUnit;
    /**
     * 二级
     */
    private String secondUnit;
    /**
     * 三级
     */
    private String thirdUnit;
    /**
     * 车辆所属单位
     */
    private String cheLiangSuoShuDanWei;
    /**
     * 车辆来源
     */
    private String cheLiangLaiYuan;
    /**
     * 车辆类型
     */
    private String cheLiangLeiXing;
    /**
     * 车辆使用性质
     */
    private String cheLiangShiYongXingZhi;
    /**
     * 燃油
     */
    private BigDecimal ranYouSum;
    /**
     * 里程
     */
    private BigDecimal zongLiChengSum;
    /**
     * 百公里油费
     */
    private BigDecimal baiGongLiYouFei;
    /**
     * 百公里油耗
     */
    private BigDecimal baiGongLiYouHao;
    /**
     * 百公里油费排名
     */
    private Integer baiGongLiYouFeiRank;
    /**
     * 二级组织机构编码
     */
    private String areaNo;
    /**
     * 二级组织机构名称
     */
    private String areaName;
    /**
     * 三级组织机构编码
     */
    private String cityNo;
    /**
     * 三级组织机构名称
     */
    private String cityName;
    /**
     * 登记日期
     */
    private LocalDate dengJiRiQi;
    /**
     * 车龄
     */
    private BigDecimal cheLing;
}
