package com.nokia.finance.tasks.pojo.po.car_report;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class CarSnfyPo {
    /**
     * 年
     */
    private Integer yearNo;
    /**
     * 月
     */
    private Integer monthNo;
    /**
     * 二级组织机构编码
     */
    private String secondOrgNo;
    /**
     * 二级组织机构名称
     */
    private String secondOrgName;
    /**
     * 本年
     */
    private BigDecimal tyFy;
    /**
     * 上年
     */
    private BigDecimal lyFy;
    /**
     * 预算累计
     */
    private BigDecimal budgetLj;
    /**
     * 同比增减
     */
    private BigDecimal tbzj;
    /**
     * 同比百分比
     */
    private BigDecimal tbbfb;
    /**
     * 预算偏差
     */
    private BigDecimal yspc;
    /**
     * 偏差百分比
     */
    private BigDecimal yspcbfb;
    /**
     * 本年累计收入
     */
    private BigDecimal tySr;
    /**
     * 本年占收比
     */
    private BigDecimal tyZsb;
}
