package com.nokia.finance.tasks.pojo.po.car_report;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class CarWzPo {
    /**
     * 数据年月
     */
    private Integer yearMonth;

    /**
     * 车牌号
     */
    private String chePaiHao;

    /**
     * 违章时间
     */
    private LocalDateTime weiZhangShiJian;

    /**
     * 违章地点
     */
    private String weiZhangDiDian;

    /**
     * 违章详情
     */
    private String weiZhangXiangQing;

    /**
     * 扣分
     */
    private Integer kouFen;

    /**
     * 罚款
     */
    private BigDecimal faKuan;

    /**
     * 处理状态
     */
    private String chuLiZhuangTai;

    /**
     * 违章未处理时长（天）
     */
    private Integer weiZhangWeiChuLiShiChang;

    /**
     * 地市
     */
    private String firstUnit;

    /**
     * 二级单位
     */
    private String secondUnit;

    /**
     * 网格
     */
    private String thirdUnit;

    /**
     * 地市组织机构编码
     */
    private String areaNo;

    /**
     * 地市组织机构名称
     */
    private String areaName;

    /**
     * 区县组织机构编码
     */
    private String cityNo;

    /**
     * 区县组织机构名称
     */
    private String cityName;
}
