package com.nokia.finance.tasks.pojo.po.house_report;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
public class HouseNoticesPo {
    /**
     * 账期
     */
    private Integer yearMonth;

    /**
     * 地市
     */
    private String city;

    /**
     * 内容
     */
    private String content;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    public HouseNoticesPo(Integer yearMonth, String content) {
        this.yearMonth = yearMonth;
        this.city = "全省";
        this.content = content;
        this.createTime = LocalDateTime.now();
    }

    public HouseNoticesPo(Integer yearMonth, String city, String content) {
        this.yearMonth = yearMonth;
        this.city = city;
        this.content = content;
        this.createTime = LocalDateTime.now();
    }
}
