package com.nokia.finance.tasks.pojo.vo.house_report;

import com.nokia.finance.tasks.pojo.po.house_report.HouseBuildingHighSporadicRepairPo;
import lombok.Data;

import java.text.DecimalFormat;

@Data
public class HouseDelxwxjkclTableVo {
    /**
     * 二级组织机构名称
     */
    private String areaName;

    /**
     * 建筑别名
     */
    private String buildingName;

    /**
     * 维修年月
     */
    private String repairYearMonth;

    /**
     * 维修内容
     */
    private String repairContent;

    /**
     * 维修金额
     */
    private String amount;

    /**
     * 本年超1万元次数
     */
    private String total;

    public HouseDelxwxjkclTableVo() {
        this.areaName = "";
        this.buildingName = "";
        this.repairYearMonth = "";
        this.repairContent = "";
        this.amount = "";
        this.total = "";
    }

    public HouseDelxwxjkclTableVo(HouseBuildingHighSporadicRepairPo po) {
        DecimalFormat integerFormat = new DecimalFormat("#,###");
        this.areaName = po.getAreaName();
        this.buildingName = po.getBuildingName();
        this.repairYearMonth = String.valueOf(po.getRepairYearMonth());
        this.repairContent = po.getRepairContent();
        this.amount = integerFormat.format(po.getAmount());
        this.total = integerFormat.format(po.getTotal());
    }
}
