package com.nokia.finance.tasks.house.fcdp;

import com.nokia.finance.tasks.jobs.house.fcdp.HouseBuildingAreaStatJob;
import com.nokia.finance.tasks.jobs.house.fcdp.HouseBuildingLandCountJob;
import com.nokia.finance.tasks.jobs.house.fcdp.HouseRentalIncomeJob;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

@Slf4j
@SpringBootTest
@ActiveProfiles("dev")
class HouseFcdpJobTests {
    @Autowired
    HouseBuildingAreaStatJob houseBuildingAreaStatJob;
    @Autowired
    HouseBuildingLandCountJob houseBuildingLandCountJob;
    @Autowired
    HouseRentalIncomeJob houseRentalIncomeJob;

    @Test
    void runJobTest() {
        houseBuildingAreaStatJob.runJob();
        houseBuildingLandCountJob.runJob();
        houseRentalIncomeJob.runJob();
    }

}
