package com.nokia.finance.tasks.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties("car-report")
public class CarReportConfig {
    /**
     * docx文件夹
     */
    private String docxDir;
    /**
     * 输出路径
     */
    private String outDir;
    /**
     * 输出docx路径
     */
    private String docx;
    /**
     * 输出pdf路径
     */
    private String pdf;
    /**
     * ftl文件夹
     */
    private String ftlDir;
    /**
     * document ftl路径
     */
    private String documentFtl;
    /**
     * 北十车辆费用占收比对标图表ftl路径
     */
    private String bszsbChartFtl;
    /**
     * 1-12月百公里燃油费变化情况图表ftl路径
     */
    private String bglryQsChartFtl;
    /**
     * 二级组织机构百公里燃油图表ftl路径
     */
    private String bglryUnitChartFtl;
    /**
     * 1-12月维修费变化情况图表ftl路径
     */
    private String wxQsChartFtl;
    /**
     * 二级组织机构自有车辆单车维修费图表ftl路径
     */
    private String wxUnitChartFtl;
    /**
     * document xml路径
     */
    private String documentXml;
    /**
     * 北十车辆费用占收比对标图表xml路径
     */
    private String bszsbChartXml;
    /**
     * 1-12月百公里燃油费变化情况图表xml路径
     */
    private String bglryQsChartXml;
    /**
     * 二级组织机构百公里燃油图表xml路径
     */
    private String bglryUnitChartXml;
    /**
     * 1-12月维修费变化情况图表xml路径
     */
    private String wxQsChartXml;
    /**
     * 二级组织机构自有车辆单车维修费图表xml路径
     */
    private String wxUnitChartXml;
    /**
     * 建议更新车辆xlsx路径
     */
    private String jygxXlsx;
    /**
     * 燃油异常xlsx路径
     */
    private String ryycXlsx;
    /**
     * 自有车辆异常维修费xlsx路径
     */
    private String zywxycXlsx;
    /**
     * 低效车辆xlsx路径
     */
    private String dxXlsx;
    /**
     * 违规用车xlsx路径
     */
    private String wgXlsx;
    /**
     * 违章xlsx路径
     */
    private String wzXlsx;
}
