package com.nokia.finance.tasks.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties("house-report")
public class HouseReportConfig {
    /**
     * docx文件夹
     */
    private String docxDir;
    /**
     * 输出路径
     */
    private String outDir;
    /**
     * 输出docx路径
     */
    private String docx;
    /**
     * 输出pdf路径
     */
    private String pdf;
    /**
     * ftl文件夹
     */
    private String ftlDir;
    /**
     * document ftl路径
     */
    private String documentFtl;
    /**
     * document xml路径
     */
    private String documentXml;
}
