package com.nokia.finance.tasks.dao.common;

import com.nokia.finance.tasks.pojo.po.common.OrganizationPo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface OrganizationDao {
    /**
     * 查询二级组织机构
     */
    @Select("""
select * from common.organization where grade = 1 order by order_num
""")
    List<OrganizationPo> getSecondOrgs();

    /**
     * 查询三级组织机构
     */
    @Select("""
select * from common.organization where grade = 2 order by parent_id, order_num
""")
    List<OrganizationPo> getThirdOrgs();
}
