package com.nokia.finance.tasks.pojo.po.car_report;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@NoArgsConstructor
@Data
public class CarBglryUnitPo {
    /**
     * 二级组织机构编码
     */
    private String areaNo;
    /**
     * 二级组织机构名称
     */
    private String areaName;
    /**
     * 燃油
     */
    private BigDecimal tyRy;
    /**
     * 里程
     */
    private BigDecimal tyLc;
    /**
     * 百公里油费
     */
    private BigDecimal bglry;
}
