package com.nokia.finance.tasks.pojo.po.car_report;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class CarDxPo {
    /**
     * 数据年月
     */
    private Integer yearMonth;

    /**
     * 车牌号
     */
    private String chePaiHao;

    /**
     * 当年累计行驶时长
     */
    private BigDecimal xingShiShiChangSum;

    /**
     * 当年累计行驶天数
     */
    private Integer xingShiTianShuSum;

    /**
     * 当年累计行驶里程
     */
    private BigDecimal zongLiChengSum;

    /**
     * 日均里程
     */
    private BigDecimal riJunLiChengSum;

    /**
     * 出勤率
     */
    private BigDecimal chuQinLvSum;

    /**
     * 当年累计工作日天数
     */
    private Integer workdaySum;

    /**
     * 车辆类型
     */
    private String cheLiangLeiXing;

    /**
     * 车辆来源
     */
    private String cheLiangLaiYuan;

    /**
     * 车辆使用性质
     */
    private String cheLiangShiYongXingZhi;

    /**
     * 车辆所属单位
     */
    private String cheLiangSuoShuDanWei;

    /**
     * 一级单位
     */
    private String firstUnit;

    /**
     * 二级单位
     */
    private String secondUnit;

    /**
     * 三级单位
     */
    private String thirdUnit;

    /**
     * 地市组织机构编码
     */
    private String areaNo;

    /**
     * 地市组织机构名称
     */
    private String areaName;

    /**
     * 区县组织机构编码
     */
    private String cityNo;

    /**
     * 区县组织机构名称
     */
    private String cityName;

    /**
     * 地市
     */
    private String city;

    /**
     * 区县
     */
    private String district;

    /**
     * 地市组织机构编码传输局用地市编码
     */
    private String areaName2;

    /**
     * 地市组织机构名称传输局用地市名称
     */
    private String areaNo2;

    /**
     * 年
     */
    private Integer yearNo;

    /**
     * 月
     */
    private Integer monthNo;

    /**
     * 地市id
     */
    private String cityId;

    /**
     * 区县id
     */
    private String districtId;
}
