package com.nokia.finance.tasks.pojo.po.car_report;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@NoArgsConstructor
@Data
public class CarDxUnitPo {
    /**
     * 一级单位
     */
    private String firstUnit;
    /**
     * 去年车数
     */
    private Integer totalLy;
    /**
     * 去年低效车数
     */
    private Integer diXiaoCountLy;
    /**
     * 去年低效占比
     */
    private BigDecimal diXiaoPercentLy;
    /**
     * 今年车数
     */
    private Integer totalTy;
    /**
     * 今年低效车数
     */
    private Integer diXiaoCountTy;
    /**
     * 今年低效占比
     */
    private BigDecimal diXiaoPercentTy;
    /**
     * 低效占比变化
     */
    private BigDecimal diXiaoChange;
}
