package com.nokia.finance.tasks.pojo.po.house_report;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class HouseBuildingSameRepairFrequencyPo {
    /**
     * 账期
     */
    private Integer yearMonth;

    /**
     * 建筑id
     */
    private String buildingId;

    /**
     * 二级组织机构编码
     */
    private String areaNo;

    /**
     * 二级组织机构名称
     */
    private String areaName;

    /**
     * 三级组织机构编码
     */
    private String cityNo;

    /**
     * 三级组织机构名称
     */
    private String cityName;

    /**
     * 建筑别名
     */
    private String buildingName;

    /**
     * 维修类型
     */
    private String repairType;

    /**
     * 维修类容分类
     */
    private String contentCategory;

    /**
     * 本年累计维修频次
     */
    private Integer tyTotal;

    /**
     * 本年累计维修频次排名
     */
    private Integer tyTotalRank;

    /**
     * 历史累计维修频次排名
     */
    private Integer historyTotal;

    /**
     * 本年累计维修费用
     */
    private BigDecimal finalCostSum;

    /**
     * 局址id
     */
    private String siteId;

    /**
     * 局址编号
     */
    private String siteNum;

    /**
     * 局址别名
     */
    private String siteName;
}
