//package com.nokia.finance.tasks;
//
//import lombok.extern.slf4j.Slf4j;
//import net.sourceforge.pinyin4j.PinyinHelper;
//import net.sourceforge.pinyin4j.format.HanyuPinyinCaseType;
//import net.sourceforge.pinyin4j.format.HanyuPinyinOutputFormat;
//import net.sourceforge.pinyin4j.format.HanyuPinyinToneType;
//import net.sourceforge.pinyin4j.format.HanyuPinyinVCharType;
//
//@Slf4j
//class HanZiToPinYinTest {
//    public static void main(String[] args) {
//        String chineseText = "女人";
//        char[] chars = chineseText.toCharArray();
//        HanyuPinyinOutputFormat format = new HanyuPinyinOutputFormat();
//        format.setToneType(HanyuPinyinToneType.WITHOUT_TONE);
//        format.setVCharType(HanyuPinyinVCharType.WITH_V);
//        format.setCaseType(HanyuPinyinCaseType.LOWERCASE);
//        StringBuilder sb = new StringBuilder();
//        for (char c : chars) {
//            if (Character.toString(c).matches("[\\u4e00-\\u9fa5]+")) {
//                try {
//                    // 将单个汉字转换为拼音并添加到字符串构建器中
//                    String[] pinyinArray = PinyinHelper.toHanyuPinyinStringArray(c, format);
//                    if (pinyinArray != null && pinyinArray.length > 0) {
//                        sb.append(pinyinArray[0]);
//                        sb.append(" ");
//                    } else {
//                        // 如果某个字符无法转换，则保持原样
//                        sb.append(c);
//                        sb.append(" ");
//                    }
//                } catch (Exception e) {
//                    log.info(e.toString(), e);
//                }
//            }
//        }
//
//        String resultWithoutTones = sb.toString();
//        System.out.println(resultWithoutTones);
//    }
//}
